This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 830323 - Large artifacts get packaged in war file. Remove symbolMap data from GWT compiled war file.
Large artifacts get packaged in war file. Remove symbolMap data from GWT comp...
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 16:43 EDT by Mike Thompson
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
coregui.war pre change (600.60 KB, text/plain)
2012-06-20 15:34 EDT, Mike Thompson
no flags Details
Post coregui.war - shows files are now removed (593.84 KB, text/plain)
2012-06-20 15:42 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2012-06-08 16:43:39 EDT
Description of problem:

 i just noticed jbossas/server/default/deploy/rhq.ear.rej/coregui.war/WEB-INF/deploy/org.rhq.enterprise.gui.coregui.CoreGUI/symbolMaps in my 3.1.0.GA install

it's 168 MB

we don't need the symbol maps if we're not using the stack trace symbol mapping feature do we?

For further info:

https://groups.google.com/forum/?fromgroups#!topic/google-web-toolkit/r7ZGZAG5DjI


This appears to be large unused files that get packaged into the war.


This should be done post 3.1.1
Comment 1 Mike Thompson 2012-06-20 15:34:13 EDT
Created attachment 593299 [details]
coregui.war pre change
Comment 2 Mike Thompson 2012-06-20 15:42:32 EDT
Created attachment 593300 [details]
Post coregui.war - shows files are now removed
Comment 3 Mike Thompson 2012-06-20 16:34:44 EDT
Master commit: 158f90d

I changed the mapped location of where these symbolMaps were being built to outside the war so that they would not get packaged in the deployed build as they are not used in the deployment.


Size of coregui.war (in test environment with 1 language and 1 browser)

Before Change:

27,576,615


After change:

25,614,766

savings 7% reduction is size should be more with the more languages and browsers.
This would only affect the size of the build artifacts not functionality. But should shave many megabytes off the final deployment ear.

Note You need to log in before you can comment on or make changes to this bug.